{% extends 'public/_public.layout.html.twig' %}

{% block title %}Mon compte{% endblock %}

{% block content %}
  {% cspstyle %}
    <style>
      span.grey {
        color: gray;
      }
    </style>
  {% endcspstyle %}
  <main class="narrow-container fr-py-5w" role="main">

    {% for type, flashes in app.flashes() %}
      {% for flash in flashes %}
        <div class="fr-alert fr-alert--{{ type }}">
          <p>{{ flash }}</p>
        </div>
      {% endfor %}
    {% endfor %}

    <h1>Mon compte</h1>

    <p>{% include '_components/avatar.html.twig' with { 'size': 'medium' } %} {{ app.user.firstname ~ " " ~ app.user.lastname }}</p>

    <p>
      <span class="grey">Identifiant</span>
      <br />{{ app.user.login }}
    </p>

    <p>
      <span class="grey">Mot de passe</span>
      <br />{{ app.user.proConnectToken ? 'Vous vous connectez avec ProConnect' : '*******' }}
    </p>

    <p>
      <span class="grey">Rôle</span>
      <br />{{ app.user.role|trans|raw }}
    </p>

    <a href="{{ path('app_edit_account') }}" class="fr-btn">Mettre à jour</a>

  </main>
{% endblock %}
